API referenceCompliance
Get a person's consent
GET
Every consent state on record for the contact holding this number (current first), and which of its numbers are on the do-not-contact list.
ApiKeyheader
AuthorizationBearer <token>An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).
phone*stringThe person's number, E.164.
Gauge-Version?stringA dated version. Default 2026-10-21.
The consent history.
application/json- response
contactId*stringFormat
uuidonDncList*array<string>The contact's phone numbers that are on the do-not-contact list.
entries*array<>curl -X GET 'https://app.gauge.chat/backend/v2/consents?phone=string'Example Response
{ "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d", "onDncList": [ "string" ], "entries": [ { "channel": "string", "purpose": "marketing", "state": "opted_in", "source": "string", "at": "string", "current": true } ]}